# About

This is a geant4 simulation for the Clarion2 gamma-detector array. It based on https://github.com/goluckyryan/HPGeClover.

![Clarion 2 Drawing](https://fsunuc.physics.fsu.edu/git/pderosa888/CLARION2_GEANT4/raw/branch/master/Clarion2.png)

# Build the code

Once downloaded the code, create a new folder for the build. 

```sh
>mkdir Clarion2_build
>cd Clarion2_build
>cmake <path/to/CLARION2_GEANT4
>make 
```
you should have the '''clover''' created.

## to run in interactive mode

```sh
>./clover
```

## to run in bash mode
```sh
>./clover <in_file>
```

# KNOWN BUGS

* Segfault at exit program
* Some of the Clovers seems to be not at the right orientation, especially at the upstream.

# To build GEANT4 11.2.0 in Ubuntu 22.04

## Visuailization

I pick the Qt + openGL as the visualiization, for that we need

```sh
>sudo apt install qt6-base-dev libqt6charts6-dev qt6-3d-dev
```

the openGL should come with Ubuntu 22.04

## Steps

```sh
>sudo apt install libexpat1-dev libxmu-dev linxkbcommon-dev
>cd Downloads
>wget https://gitlab.cern.ch/geant4/geant4/-/archive/v11.2.0/geant4-v11.2.0.tar.gz
>tar xzf geant4-v11.2.0.tar.gz
>mkdir geant4-v11.2.0_build
>cd geant4-v11.2.0_build
>cmake -DGEANT4_INSTALL_DATA=On -DCMAKE_INSTALL_PREFIX=/opt/geant4-v11.2.0 -DGEANT4_USE_OPENGL_X11=ON -DGEANT4_USE_QT=ON -DGEANT4_USE_QT_QT6=ON ../geant4-v11.2.0
>make -j10
>sudo make install
>echo 'source /opt/geant4-v11.2.0/bin/geant4.sh' >> ~/.bashrc
```
